diff -r d5609228b956 amqp_codegen.py
--- a/amqp_codegen.py	Fri Nov 07 17:44:40 2008 +0000
+++ b/amqp_codegen.py	Wed Nov 19 23:25:38 2008 +0100
@@ -27,16 +27,19 @@ import re
 import re
 import sys
 
-try:
+if sys.hexversion >= 0x20600f0:
     import json
-except ImportError:
-    print >> sys.stderr , " You don't appear to have json.py installed"
-    print >> sys.stderr , " (an implementation of a JSON reader and writer in Python)."
-    print >> sys.stderr , " You can install it:"
-    print >> sys.stderr , "   - by running 'apt-get install python-json' on Debian-based systems,"
-    print >> sys.stderr , "   - by running 'yum install python-json' on Fedora/Red Hat system,"
-    print >> sys.stderr , "   - from sources from 'http://sourceforge.net/projects/json-py'"
-    sys.exit(1)
+else:
+    try:
+        import simplejson as json
+    except ImportError:
+        print >> sys.stderr , " You don't appear to have json.py installed"
+        print >> sys.stderr , " (an implementation of a JSON reader and writer in Python)."
+        print >> sys.stderr , " You can install it:"
+        print >> sys.stderr , "   - by running 'apt-get install python-simplejson' on Debian-based systems,"
+        print >> sys.stderr , "   - by running 'yum install python-simplejson' on Fedora/Red Hat system,"
+        print >> sys.stderr , "   - from sources from 'http://pypi.python.org/pypi/simplejson'
+        sys.exit(1)
 
 def insert_base_types(d):
     for t in ['octet', 'shortstr', 'longstr', 'short', 'long',
@@ -45,7 +48,7 @@ def insert_base_types(d):
         
 class AmqpSpec:
     def __init__(self, filename):
-        self.spec = json.read(file(filename).read())
+        self.spec = json.load(file(filename))
 
         self.major = self.spec['major-version']
         self.minor = self.spec['minor-version']
